locked
Why can't I use SkiaSharp.Views in NETStandard2.0 Project? RRS feed

  • Question

  • User172704 posted

    I have a Xamarin.Forms project that targets .NET Standard 2.0. I have installed the nuget package SkiaSharp 1.68 into this project and, though I have not tried to instantiate any types from Skia yet, it does install and build without error.

    When I tried to add SkiaSharp.Views to the same project, I get the following nuget error:

    Warning NU1701 Package 'SkiaSharp.Views 1.68.0' was restored using '.NETFramework,Version=v4.6.1' instead of the project target framework '.NETStandard,Version=v2.0'. This package may not be fully compatible with your project. Serenocalm.Forms

    There does indeed seem to be a problem because I cannot create a SKCanvasView instance.

    Does anyone know how to fix this?

    Friday, August 2, 2019 11:23 AM

Answers